﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Mvc.Ajax;
using MvcApplication1.Models;

namespace MvcApplication1.Controllers
{
    public class ProductsController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult List()
        {
            Models.NorthwindEntities db = new Models.NorthwindEntities();
            return View(db.Products.OrderBy(p => p.ProductName));
        }

        public ActionResult Detail(int id)
        {
            Models.NorthwindEntities db = new Models.NorthwindEntities();
            return View(db.Products.First(p => p.ProductID == id));
        }
    }
}
